# Header-only library
%global debug_package %{nil}

%global common_description %{expand:
zug is a C++ library providing transducers. Transducers are composable
sequential transformations independent of the source. They are extremely
lightweight, and can be used to express algorithms over pull-based sequences
(iterators, files) but also push based sequences (signals, events, asynchronous
streams) in a generic way.}

Name:           zug
Version:        0.1.1
Release:        %autorelease
Summary:        Clojure style higher order push/pull sequence transformations

License:        Boost
URL:            https://sinusoid.es/zug/
VCS:            https://github.com/arximboldi/zug
Source:         %vcs/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  ccache
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(catch2)

%description    %{common_description}

%package        devel
Summary:        Clojure style higher order push/pull sequence transformations
Provides:       zug-static%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel %{common_description}

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%{cmake}
%{cmake_build}

%install
%{cmake_install}

%files devel
%license LICENSE
%doc README.rst
%{_libdir}/cmake/Zug/
%{_includedir}/zug/

%changelog
%autochangelog
